version: '3.6'
services:
  web:
    image: registry.gitlab.com/zied-marsaoui/digital4win/web/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 80
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

  server:
    image: registry.gitlab.com/zied-marsaoui/digital4win/servers/staging:staging
    labels:
      traefik.frontend.rule: Host:api-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 4000
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    env_file:
      - .env
    networks:
      - traefik

  redis:
    image: redis:5.0
    restart: always
    volumes:
      - ./data/redis:/data
    networks:
      - traefik

  postgres:
    image: postgres:12.0
    env_file:
      - .env
    volumes:
      - ./data/postgres:/var/lib/postgresql/data
    networks:
      - traefik

  elasticsearch:
    image: elasticsearch:7.4.0
    env_file:
      - .env
    ulimits:
      memlock:
        soft: -1
        hard: -1
    volumes:
      - ./data/elasticsearch/:/usr/share/elasticsearch/data
    networks:
      - traefik

  phppgadmin:
    image: dpage/pgadmin4:2019-11-12-2
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:pgadmin-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 80
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    depends_on:
      - postgres
    networks:
      - traefik

  prisma:
    image: prismagraphql/prisma:1.34
    environment:
      PRISMA_CONFIG: |
        port: 4466
        # uncomment the next line and provide the env var PRISMA_MANAGEMENT_API_SECRET=my-secret to activate cluster security
        databases:
          default:
            connector: postgres
            host: postgres
            port: 5432
            user: pharma
            password: Pharma@123456789
            connectionLimit: 60
    networks:
      - traefik
    depends_on:
      - postgres
    labels:
      traefik.frontend.rule: Host:prisma-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 4466
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https

  app-aes:
    image: registry.gitlab.com/zied-marsaoui/digital4win/aes_app/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:aes-app-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 3004
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

  app-md5:
    image: registry.gitlab.com/zied-marsaoui/digital4win/md5_app/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:md5-app-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 3003
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

  app-other:
    image: registry.gitlab.com/zied-marsaoui/digital4win/other_app/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:crypto-app-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 3007
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

  saml_sso:
    image: registry.gitlab.com/zied-marsaoui/digital4win/saml_sso/staging:staging
    labels:
      traefik.frontend.rule: Host:saml-sso-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 4001
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    env_file:
      - .env
    networks:
      - traefik

  token-exchange:
    image: registry.gitlab.com/zied-marsaoui/digital4win/token_app/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:token-app-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 3005
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

  token-ftp-exchange:
    image: registry.gitlab.com/digitallforyou/rid-informatique/gcr-pharma/token_ftp/staging:staging
    env_file:
      - .env
    labels:
      traefik.frontend.rule: Host:token-ftp-app-gcr-pharma-staging.digitalbusiness4ever.com
      traefik.enable: true
      traefik.port: 3006
      traefik.frontend.entryPoints: https,http
      traefik.frontend.redirect.entryPoint: https
    networks:
      - traefik

networks:
  traefik:
    external:
      name: traefik_gcr-pharma
